Subject: Re: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

From: Olga Havel <[email-masked]>
Date: Fri, 1 Oct 2021 15:17:11 +0000

Hi Colin and Laurent,

Please note that we submitted the v4 of the Intent Classification draft, we addressed all Colin’s comments as described in the table shared in the previous email.
draft-irtf-nmrg-ibn-intent-classification-04 - Intent Classification (ietf.org)<https://datatracker.ietf.org/doc/draft-irtf-nmrg-ibn-intent-classification/>.

Best Regards,
Olga

From: Olga Havel
Sent: Friday 24 September 2021 18:06
To: 'Colin Perkins' <[email-masked]>; [email-masked]' <[email-masked]>
Cc: [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>
Subject: RE: IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

Dear Colin,

Here is the summary table with the proposed changes and the updated draft v4. Please let us know if the comments have been addressed to your satisfaction.

Best Regards,

Olga

-----Original Message-----
From: Olga Havel
Sent: Tuesday 21 September 2021 11:33
To: 'Colin Perkins' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

Dear Colin,

Thanks for the review!  We will address your comments and come back to you with the proposed changes.

Best Regards,

Olga

-----Original Message-----

From: Colin Perkins [mailto:[email-masked]]

Sent: Monday 20 September 2021 20:25

To: [email-masked]<mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Subject: IRTF Chair review of draft-irtf-nmrg-ibn-intent-classification-03

The NMRG chairs have requested that draft-irtf-nmrg-ibn-intent-classification-03 be published as an RFC on the IRTF stream. The IRTF publication process is described in RFC 5743, and comprises a review by the IRSG to ensure technical and editorial quality, followed by a check by the IESG to ensure the work does not conflict with IETF standards activities.

As IRTF Chair, I perform an initial review of all drafts submitted for publication on the IRTF stream before sending them for detailed review by the IRSG. This note provides my review comments, for discussion.

Result:

* Almost ready

RFC 5743 compliance:

* The draft does not follow the guidelines in RFC 5743

Comments:

* The introduction reads as if this were a standards document rather than a research document. It focusses on what SDOs are doing in the intent-based networking space, but does little to relate the draft to ongoing or open research questions. A taxonomy and classification can be useful for research, but the draft should be clearer about the research goals that it intends to support.

* The 3rd paragraph of the Introduction states “More recently, the IRTF NMRG standardized…”. The IRTF is not a standards development organisation, so this needs to be revised.

* RFC 5843, Section 2.1, requires all IRTF stream documents to include certain statements in the Abstract and Introduction. These seem to be missing from this draft.

* The intent classification is fine as far as it goes, but it’s not clear what's the research contribution or, alternatively, how the classification will support ongoing or future research. The draft would be stronger if it drew such connections.

* Finally, the draft could usefully include a Conclusions section that wraps-up the discussion and relates it to the research objectives of the group.

Colin Perkins

IRTF Chair

---

From: Colin Perkins <[email-masked]>
Date: Fri, 22 Oct 2021 16:48:28 +0100

Dear Olga,

Thank you, and apologies for my slow response. I see that the -04 version of the draft has been submitted incorporating these changes.

To address the procedural requirement of RFC 5743, I see an additional paragraph was added to the Abstract. The content of that paragraph is excellent, but please move it to the Introduction. The Abstract need only say "This document is a product of the IRTF Network Management Research Group (NMRG)”.

My more substantive comments were around relating the draft to ongoing research work. The new Conclusions section is good, and makes the link to the goals of the RG, but the changes made to the Introduction, while they improve the draft, don’t entirely address my concern. The Introduction is still strongly focussed on ongoing work in various SDOs, and only a single proof-of-concept research prototype is mentioned. As the output of a research group draft, this draft really does need to make links with ongoing research activities and show relevance to the research community – and not just link to ongoing standards work.

Regards,
Colin

> On 24 Sep 2021, at 18:06, Olga Havel <[email-masked]> wrote:
> 
> Dear Colin, 
>  
>   <>
> To: 'Colin Perkins' <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>
> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> From: Colin Perkins [mailto:[email-masked] <mailto:[email-masked]>]
> To: [email-masked] <mailto:[email-masked]>
> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> <Official Comments_for_RG_v4_Sept2021.xlsx><draft-irtf-nmrg-ibn-intent-classification-04_Sept2021.docx>

-- 
Colin Perkins
https://csperkins.org/